%define _libexecdir /usr/lib

Summary: A news reader that displays postings in threaded format.
Name: trn
Version: 4.0.test76
Release: 1
Copyright: distributable
Group: Applications/Internet
Source0:  http://trn.sourceforge.net/trn-4.0-test76.tar.gz
Source1:  trn-4.0-test76-config.in
Patch0:   trn-4.0-inews.patch
Obsoletes: inews
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Trn is a basic news reader that supports threading.  This version is
configured to read news from an NNTP news server.

Install trn if you need a basic news reader that shows you newsgroup
postings in threaded format.

%prep
%setup0 -q -n trn-4.0-test76
%patch0 -p1
sed -e "s|@INSTALLROOT@|$RPM_BUILD_ROOT|g" \
    -e "s|@BINDIR@|%{_bindir}|g" \
    -e "s|@MANDIR@|%{_mandir}|g" \
    -e "s|@LIBDIR@|%{_libdir}|g" \
    -e "s|@INCLUDEDIR@|%{_includedir}|g" \
    -e "s|@OPTFLAGS@|${RPM_OPT_FLAGS}|g" \
    < %SOURCE1 > config.sh
./Configure -d -e

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/trn
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1/
%makeinstall

%clean 
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README INSTALL MANIFEST HACKERSGUIDE
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/trn

%changelog
* Sat Jan 17 2004 H. Peter Anvin <hpa@zytor.com>
- Update to version 4.0-test76.
- Include inews.

* Thu Feb  8 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use time.h, not sys/time.h (#26768)

* Sat Jan 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- add support for Swedisk to the desktop file
- don't generate the desktop file in the spec file (#15333)
- define libexecdir, so files don't end up in /usr/libexec/trn
  where they aren't found. (#18402)

* Sat Aug 19 2000 Jeff Johnson <jbj@redhat.com>
- deal gracefully with /etc/HOSTNAME non-existence (#16569).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- bison, not yacc

* Mon Feb  7 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Mon Feb  7 2000 Jeff Johnson <jbj@redhta.com>
- compress man pages.

* Sun Sep  5 1999 Jeff Johnson <jbj@redhat.com>
- pass -S to inews if .news_sig already appended to article (#2834).

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- change to /usr/bin/inews and /var/lib/news (#2646)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 16)

* Wed Feb 10 1999 Michael Maher <mike@redhat.com>
- patched BUG #587
- changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- added buildroot
- updated spec file

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- SIGTSTP handler was flaky, which made ^Z fail w/ built against glibc
- added a wmconfig entry

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc 

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- some of the files in /usr/bin wrre 647, which makes no sense.

